# Mage2 Module FiloBlu OrderFlowRectifier

    ``filoblu/module-orderflowrectifier``

 - [Main Functionalities](#markdown-header-main-functionalities)
 - [Configuration](#markdown-header-configuration)
 - [Specifications](#markdown-header-specifications)


## Main Functionalities

Fixes stuck orders by fixing status, payment information or other order data.

A rectifier has been developed for each pf the following use case:

 - Ordine adyen fermo in order exported, mancano i dati del pagamento (MissingPaymentInfoRectifier)
 
 - Ordine adyen fermo in order exported. Lo state dell’ordine è rimasto in payment_review, oppure lo status semplicemente non è aggiornato. (PaymentReviewRectifier)
 
 - Ordine adyen fermo in order exported. Lo status è corretto, ma lo state è rimasto payment_review invece di passare a processing (PaymentReviewStateRectifier)
 
 - Invoice creata ma ordine non modificato nei campi “invoiced”, "paid" e "due". (InvoicedRectifier)
 
 - Ordine rimasto shipped, mentre dovrebbe essere complete. Tutti gli item sono invoiced e shipped. (ShippedRectifier)
 
 - Gestione mail di conferma per gli ordini effettuati negli ultimi 2 giorni con i metodi di pagamento definiti, con lo status fino a 'send_to_logistic' e nei quali la mail non è ancora stata inviata. (SendEmailOrderConfirmationRectifier)
 
 - Status ordine non allineato alla history aggiornata a order_exported. Allineamento status a order_exported. (OrderExportedStatusUpdateRectifier)
 
 Rectifiers should be scheduled and ran regularly.


## Configuration

 - Enable Scheduled Operations (order_flow_rectifier/general/scheduled_ops_enabled) 

 - Enabled rectifiers (order_flow_rectifier/general/enabled_rectifiers)


## Specifications

 - Cronjob
	- filoblu_orderflowrectifier_rectifier
